function outputPsi = constraintProximityOperator( input_data, Psi, gamma )
%CONSTRAINTPROXIMITYOPERATOR Applies Projection/Proximity Operator
%depending on the given constraint.

proximityOperatorName = retrieveProximityName(input_data);

if ( strcmp(proximityOperatorName, 'proxSupportConstraint') || strcmp(proximityOperatorName, 'proxSupportConstraint') || strcmp(proximityOperatorName, 'proxSupportRangeConstraint') || strcmp(proximityOperatorName, 'proxRangeConstraint') )
    outputPsi = feval(proximityOperatorName, input_data, Psi);
elseif strcmp(proximityOperatorName, 'proxShearlet')
    outputPsi = feval(proximityOperatorName, input_data, Psi, gamma);
end
end

