% Applies the soft-thresholding operator with parameter gamma to 
% a real-valued matrix Psi.

function softThreshPsi = softThresholding(input_data, Psi, gamma)

    softThreshPsi = sign(Psi).*max(abs(Psi)-gamma,0);

end

