function  outputWave  = approximateMagnitudeProjection( input_data, Psi )
%APPROXIMATEMAGNITUDEPROJECTION Calculates an approximate projection
%   onto a regularized set of measurements. This method can easily be
%   extend to use input_data.noise.type and then calculate different
%   error distances accordingly.

if( calculateKLDistance(input_data, Psi) >= input_data.noise.error)

    outputWave = magnitudeProjection( input_data, Psi );
  
else
    
    outputWave = Psi;

end

end

